Page MenuHomePhabricator

[Task] Move Wikidata browsertests into Wikibase repository
Closed, ResolvedPublic

Description

Steps:

  • Add additional browser test job to run the browsertests in Wikibase.
  • Rewrite parts that require being logged in to use user_factory
  • Rewrite parts that use ENVs from tests/browser/features/support/env.rb to use MediawikiSelenium::Environment instead
  • Rewrite parts that rely on existing content in the Wiki to use ruby to create the fixture
  • Make it possible to include selenium scenarios contained in e.g. Wikibase to also be executed during MediaInfo. Possibly this involves making the tests in WikidataBrowserTests (later Wikibase) into a gem or something like that and make bundler provide those so that they are executed during MediaInfo.
  • Move test that only depend on one wiki with Wikibase and not something else from the Wikidata build into Wikibase
    • while deleting them from WikidataBrowserTests.git

Things to consider afterwards:

  • It would definitely be nice to have some of the browsertests removed by covering these cases in QUnit or PHPUnit if possible. See T118283.
  • Enable some (see T130019) to run during gate-and-submit (before merge) by adding the correct @group tag.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterMove everything from the WikidataBrowserTests repository
mediawiki/extensions/Wikibase : master[WIP] Add label.feature
mediawiki/extensions/Wikibase : masterAdd back groups for browsertests
integration/config : masteradd Wikibase browser tests

Event Timeline

Tobi_WMDE_SW renamed this task from [Task] Move Wikidata brosertests into Wikibase repository to [Task] Move Wikidata browsertests into Wikibase repository.
Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW moved this task from incoming to needs discussion or investigation on the Wikidata board.
daniel moved this task from Review to Proposed on the Wikidata-Sprint-2015-11-17 board.
Tobi_WMDE_SW updated the task description. (Show Details)Mar 15 2016, 3:14 PM
JanZerebecki updated the task description. (Show Details)Mar 15 2016, 3:29 PM
Tobi_WMDE_SW updated the task description. (Show Details)Mar 15 2016, 3:41 PM

Change 280152 had a related patch set uploaded (by JanZerebecki):
Add back groups for browsertests

https://gerrit.wikimedia.org/r/280152

Change 280153 had a related patch set uploaded (by JanZerebecki):
add Wikibase browser tests

https://gerrit.wikimedia.org/r/280153

Change 280153 merged by jenkins-bot:
add Wikibase browser tests

https://gerrit.wikimedia.org/r/280153

Change 280152 merged by jenkins-bot:
Add back groups for browsertests

https://gerrit.wikimedia.org/r/280152

Change 289846 had a related patch set uploaded (by Tobias Gritschacher):
[WIP] Add label.feature

https://gerrit.wikimedia.org/r/289846

I'm afraid rewriting while moving is a bad idea, I changed the description accordingly.

Change 289846 abandoned by Tobias Gritschacher:
[WIP] Add label.feature

Reason:
superseeded

https://gerrit.wikimedia.org/r/289846

Change 300508 had a related patch set uploaded (by Tobias Gritschacher):
[WIP] Move everything from the WikidataBrowserTests repository

https://gerrit.wikimedia.org/r/300508

Change 300508 merged by jenkins-bot:
Move everything from the WikidataBrowserTests repository

https://gerrit.wikimedia.org/r/300508

Tobi_WMDE_SW closed this task as Resolved.Aug 26 2016, 2:37 PM
Tobi_WMDE_SW claimed this task.